%global pypi_name googletrans

Name:           python-%{pypi_name}
Version:        4.0.2
Release:        %mkrel 1
Summary:        Google Translate API for Python
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/googletrans/
Source0:        %pypi_source
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Googletrans is a free and unlimited python library that implemented Google
Translate API.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Googletrans is a free and unlimited python library that implemented Google
Translate API.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/translate


%changelog
* Tue Feb 25 2025 wally <wally> 4.0.2-1.mga10
+ Revision: 2152315
- new version 4.0.2
- rebuild for python3.13

* Sun Dec 10 2023 wally <wally> 3.0.0-2.mga10
+ Revision: 2017001
- rebuild for py3.12

* Sun Jul 23 2023 wally <wally> 3.0.0-1.mga9
+ Revision: 1964096
- imported package python-googletrans

